Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model
Interface DynamicContainmentTreeDomainModelReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ModelChangeListener, org.eclipse.emf.common.notify.Notifier, VDomainModelReference

All Known Implementing Classes:
  DynamicContainmentTreeDomainModelReferenceImpl

    public interface DynamicContainmentTreeDomainModelReference

extends VDomainModelReference

A representation of the model object 'Dynamic Containment Tree Domain Model Reference'.

The following features are supported:

- `Path From Root`
- `Path From Base`

See Also:
  `ModelPackage.getDynamicContainmentTreeDomainModelReference()`

Method Summary
`VDomainModelReference` | `getPathFromBase()` Returns the value of the 'Path From Base' containment reference.
`VDomainModelReference` | `getPathFromRoot()` Returns the value of the 'Path From Root' containment reference.
`void` | `setPathFromBase(VDomainModelReference value)` Sets the value of the ' `Path From Base`' containment reference.
`void` | `setPathFromRoot(VDomainModelReference value)` Sets the value of the ' `Path From Root`' containment reference.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VDomainModelReference
`getChangeListener, getEStructuralFeatureIterator, getFullPathIterator, getIterator, init`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.ModelChangeListener
`notifyChange`

Method Detail

### getPathFromRoot

    VDomainModelReference getPathFromRoot()

  Returns the value of the 'Path From Root' containment reference.

  If the meaning of the 'Path From Root' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path From Root' containment reference.
  See Also:
    `setPathFromRoot(VDomainModelReference)`, `ModelPackage.getDynamicContainmentTreeDomainModelReference_PathFromRoot()`

### setPathFromRoot

    void setPathFromRoot(VDomainModelReference value)

  Sets the value of the ' `Path From Root`' containment reference.

  Parameters:
    `value` - the new value of the 'Path From Root' containment reference.
  See Also:
    `getPathFromRoot()`

### getPathFromBase

    VDomainModelReference getPathFromBase()

  Returns the value of the 'Path From Base' containment reference.

  If the meaning of the 'Path From Base' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path From Base' containment reference.
  See Also:
    `setPathFromBase(VDomainModelReference)`, `ModelPackage.getDynamicContainmentTreeDomainModelReference_PathFromBase()`

### setPathFromBase

    void setPathFromBase(VDomainModelReference value)

  Sets the value of the ' `Path From Base`' containment reference.

  Parameters:
    `value` - the new value of the 'Path From Base' containment reference.
  See Also:
    `getPathFromBase()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.